Sharpens an image

- « Imagick::shadowImage

- Imagick::shaveImage »

- PHP Manual
- Imagick
- Sharpens an image

# Imagick::sharpenImage

(PECL imagick 2, PECL imagick 3)

Imagick::sharpenImage — Sharpens an image

### Description

public Imagick::sharpenImage(float `$radius`, float `$sigma`, int `$channel` = Imagick::CHANNEL_DEFAULT): bool

Sharpens an image. We convolve the image with a Gaussian operator of the given radius and standard deviation (sigma). For reasonable results, the radius should be larger than sigma. Use a radius of 0 and Imagick::sharpenImage() selects a suitable radius for you.

### Parameters

`radius`

`sigma`

`channel`

### Return Values

Returns `true` on success.

### Examples

Example #1 Imagick::sharpenImage()

    <?phpfunction sharpenImage($imagePath, $radius, $sigma, $channel) {    $imagick = new \Imagick(realpath($imagePath));    $imagick->sharpenimage($radius, $sigma, $channel);    header("Content-Type: image/jpg");    echo $imagick->getImageBlob();}?>